Skip to main content

List of Available Grace Periods

🚧
Feature under development

In-App Subscriptions are currently under development and will be released soon. This endpoint may change before launch.

This endpoint returns the list of all grace periods supported by the platform. These currency codes can be used when defining period for in-app subscriptions.

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/applications/{applicationName}/subscriptions/availableGracePeriods

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

⚠️
Account type required

This endpoint can only be accessed by accounts of type Developer.

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
applicationNamestringThe unique package name of the application (e.g., com.example.test).

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns a JSON array containing all supported grace periods.

Example Response

["P0D","P3D","P7D","P14D","P30D"]